1. Products
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Update Product
      PATCH
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Products

Create Product

Developing
POST
/products
Last modified:2026-03-07 20:54:45
Use this endpoint to create a new product with optional, inline variant and support for related products, product badges, tags, categories, sub categories and child categories, availabel meta data and gallery images.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
Body

🟠422Validation Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/products' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name_ar": "حذاء رياضي نايك",
    "name_en": "Nike Sports Shoe",
    "summery_ar": "حذاء رياضي مريح وأنيق",
    "summery_en": "Comfortable and stylish sports shoe",
    "description_ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
    "description_en": "<p>Detailed description of the sports shoe with high quality materials</p>",
    "sale_price": 49.99,
    "price": 79.99,
    "cost": 20.00,
    "sku": "NIKE-SHOE-001",
    "quantity": 150,
    "slug": "nike-sports-shoe-001",
    "image_id": 736,
    "brand_id": 1,
    "badge_id": 2,
    "category": [
        1
    ],
    "sub_category": [
        1,
        2
    ],
    "child_category": [
        1
    ],
    "min_purchase": 1,
    "max_purchase": 5,
    "is_refundable": true,
    "is_inventory_warning": true,
    "policy_description": "Return within 30 days with original packaging",
    "video_source": "youtube",
    "video_id": "dQw4w9WgXcQ",
    "status_id": 1,
    "shipping_hs_code": "6403919000",
    "related_products": [
        2
    ],
    "unit_id": 1,
    "uom": "10",
    "length": 30,
    "width": 12,
    "height": 10,
    "delivery_option": [
        1,
        2
    ],
    "product_gallery": [
        736,
        736,
        736,
        736
    ],
    "tags": [
        "Nike",
        "Sports",
        "Shoes",
        "Running"
    ],
    "shipping_zone_options": [
        2,
        3
    ],
    "item_size": [
        "sm",
        "m",
        "lg",
        "xlg"
    ],
    "item_color": [
        "red",
        "white",
        "blue",
        "blue"
    ],
    "item_image": [
        736,
        736,
        736,
        736
    ],
    "item_additional_price": [
        0,
        5,
        0,
        5
    ],
    "item_extra_cost": [
        0,
        2,
        0,
        2
    ],
    "item_stock_count": [
        30,
        25,
        40,
        35
    ],
    "item_attribute_name": [
        [
            "Material",
            "Season"
        ],
        [
            "Material",
            "Season"
        ],
        [
            "Material",
            "Season"
        ],
        [
            "Material",
            "Season"
        ]
    ],
    "item_attribute_value": [
        [
            "Leather",
            "Summer"
        ],
        [
            "Leather",
            "Summer"
        ],
        [
            "Mesh",
            "Summer"
        ],
        [
            "Mesh",
            "Summer"
        ]
    ],
    "product_options": [
        {
            "type": "text",
            "title": {
                "ar": "الاسم",
                "en": "Name"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": false
        },
        {
            "type": "number",
            "title": {
                "ar": "المقاس",
                "en": "Size"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": false
        },
        {
            "type": "textarea",
            "title": {
                "ar": "ملاحظات",
                "en": "Notes"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": false
        },
        {
            "type": "checkbox",
            "title": {
                "ar": "اللون",
                "en": "Color"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": false,
            "multiSelect": true,
            "options": {
                "ar": {
                    "أزرق": 5,
                    "أحمر": 4,
                    "أبيض": 0
                },
                "en": {
                    "Blue": 5,
                    "Red": 4,
                    "White": 0
                }
            }
        },
        {
            "type": "radio",
            "title": {
                "ar": "الحجم",
                "en": "Size"
            },
            "subTitle": {
                "ar": "",
                "en": ""
            },
            "isRequired": true,
            "multiSelect": false,
            "options": {
                "ar": {
                    "صغير": 0,
                    "وسط": 0,
                    "كبير": 0,
                    "كبير جداً": 10
                },
                "en": {
                    "S": 0,
                    "M": 0,
                    "L": 0,
                    "XL": 10
                }
            }
        }
    ],
    "general_title": "Nike Sports Shoe | Best Price",
    "general_description": "Buy the best Nike sports shoes at unbeatable prices",
    "general_image": 736,
    "facebook_title": "Nike Sports Shoe — Great Deal",
    "facebook_description": "Premium Nike sports shoes at the best prices. Shop now!",
    "facebook_image": 736,
    "twitter_title": "Nike Sports Shoe",
    "twitter_description": "Get your Nike sports shoes today at amazing prices!",
    "twitter_image": 736
}'
Response Response Example
201 - Example 1
{
    "status": "success",
    "message": "Product created successfully",
    "data": {
        "id": 219,
        "identifier": 219,
        "name": {
            "ar": "حذاء رياضي نايك",
            "en": "Nike Sports Shoe"
        },
        "summary": {
            "ar": "حذاء رياضي مريح وأنيق",
            "en": "Comfortable and stylish sports shoe"
        },
        "description": {
            "ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
            "en": "<p>Detailed description of the sports shoe with high quality materials</p>"
        },
        "type": "physical",
        "type_id": 1,
        "price": 79.99,
        "sale_price": 49.99,
        "is_refundable": true,
        "min_purchase": 1,
        "max_purchase": 5,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
        "is_published": true,
        "stock": 130,
        "is_unlimited": false,
        "ratings": null,
        "created_at": "2026-04-14 19:53:11",
        "updated_at": "2026-04-14 19:53:11",
        "brand": {
            "id": 1,
            "title": "",
            "name": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "description": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "logo": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg",
            "banner": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg"
        },
        "tags": [
            {
                "id": 548,
                "tag_name": "Nike"
            },
            {
                "id": 549,
                "tag_name": "Sports"
            },
            {
                "id": 550,
                "tag_name": "Shoes"
            },
            {
                "id": 551,
                "tag_name": "Running"
            }
        ],
        "categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            },
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ],
        "inventory": {
            "id": 205,
            "sku": "NIKE-SHOE-010",
            "stock_count": 130,
            "sold_count": 0
        }
    }
}
Modified at 2026-03-07 20:54:45
Previous
Get Product Details
Next
Update Product
Built with